# Poco::Data::MySQL

# class Binder

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/Binder.h

## Description

Binds placeholders in the sql query to the provided values. Performs data types mapping.

## Inheritance

Direct Base Classes: Poco::Data::AbstractBinder

All Base Classes: Poco::Data::AbstractBinder

## Member Summary

Member Functions: bind, getBindArray, size

Inherited Functions: bind

## Constructors

### Binder

Binder();

Creates the Binder.

## Destructor

### ~Binder

virtual ~Binder();

Destroys the Binder.

## Member Functions

### bind

virtual void bind(
std::size_t pos,
const Poco::Int8 & val
);

Binds an Int8.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt8 & val
);

Binds an UInt8.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::Int16 & val
);

Binds an Int16.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt16 & val
);

Binds an UInt16.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::Int32 & val
);

Binds an Int32.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt32 & val
);

Binds an UInt32.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::Int64 & val
);

Binds an Int64.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt64 & val
);

Binds an UInt64.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const bool & val
);

Binds a boolean.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const float & val
);

Binds a float.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const double & val
);

Binds a double.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const char & val
);

Binds a single character.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const std::string & val
);

Binds a string.

See also: Poco::Data::AbstractBinder::bind()

### bind

virtual void bind(
std::size_t pos,
const Poco::Data::BLOB & val
);

Binds a BLOB.

### getBindArray

MYSQL_BIND * getBindArray() const;

Return array

### size

size_t size() const;

Return count of binded parameters